#ifndef __SIGNALSERVER_H__
#define __SIGNALSERVER_H__

#include <string>
#include <unordered_map>


namespace Older {

class Application;
class WebSocketSignalSession;

class SignalServer {
public:
    SignalServer(Application &app);
    void join(const std::string &id, WebSocketSignalSession *client);
    void leave(const std::string &id);
    WebSocketSignalSession *client(const std::string &id);

private:
    std::unordered_map<std::string, WebSocketSignalSession *> m_clients;
};
} // namespace Older

#endif // __SIGNALSERVER_H__